<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author juan.agudelo
@description Consulta de informacion de predios en cuanto a su ubicación
@modified by fredy.wilches
@modified  pedro.garcia  21-03-2012  uso de parámetros

@cu CU-CO-V-08 CU-CO-E-01 se usa dentro de la página que muestra los detalles del predio


@param  numeroPredialAnteriorFormUpdateStringParam  string que representa la ubicación de la forma
    de la página consultarNumeroPredialAnterior para ser actualizada

@param  detalleBloqueoUpdateStringParam  string que representa el componente que se debe actualizar
    para ver el detalle del bloqueo del predio.

@param  detalleBloqueoWVParam  valor del atributo widgetVar del dialog que muestra la ventana con los
    detalles del bloqueo del predio

@param  detalleDesBloqueoUpdateStringParam  string que representa el componente que se debe actualizar
    para ver el detalle del bloqueo histórico del predio.

@param  detalleDesBloqueoWVParam  valor del atributo widgetVar del dialog que muestra la ventana con los
    detalles del bloqueo histórico del predio

@version 2.0
@modified lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2
@modified juan.agudelo
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        rendered="#{consultaDatosUbicacionPredio.predio != null}"
        id="consultaDatosUbicacionPredioForm">

    <h:panelGrid columns="1" width="100%">
        <p:fieldset>

            <legend>
                <h:outputText value="Identificación" styleClass="legendTitle" />
            </legend>

            <!-- p:panel header="Identificación"-->
            <h:panelGrid columns="1" width="100%">
                <h:panelGrid columns="7">

                    <h:outputLabel value="Número predial: "
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:outputText
                        value="#{consultaDatosUbicacionPredio.predio.formattedNumeroPredialCompleto}"
                        styleClass="outputTextStyle" />

                    <p:spacer height="0" width="14" />
                    <h:outputLabel value="NIP:" styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:outputText value="#{consultaDatosUbicacionPredio.predio.nip}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Estado del predio:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:outputText
                        value="#{consultaDatosUbicacionPredio.predio.estadoValor}"
                        styleClass="outputTextStyle" />

                    <p:spacer height="0" width="14" />

                    <h:panelGroup>
                        <h:outputLabel value="Marcado:" styleClass="outputLabelStyle" />
                        <p:spacer height="0" width="7" />
                        <p:commandLink styleClass="commandLinkStyle"
                                       style="text-decoration:underline;"
                                       update="#{detalleBloqueoUpdateStringParam}"
                                       rendered="#{consultaDatosUbicacionPredio.predio.estaBloqueado}"
                                       onclick="#{detalleBloqueoWVParam}.show()"
                                       action="#{consultaDatosUbicacionPredio.cleanBloqueoPredioMB}"
                                       value="#{consultaDatosUbicacionPredio.etiquetaEstado}">
                        </p:commandLink>
                        <h:outputText
                            rendered="#{!consultaDatosUbicacionPredio.predio.estaBloqueado}"
                            value="#{consultaDatosUbicacionPredio.etiquetaEstado}" styleClass="outputTextStyle" />

                        <p:spacer height="0" width="14" />


                        <p:spacer height="0" width="14" />
                        <h:outputLabel value="Reactivado:" rendered="#{!consultaDatosUbicacionPredio.predio.estaBloqueado}" styleClass="outputLabelStyle" />

                        <p:spacer height="0" width="7" />
                        <p:commandLink styleClass="commandLinkStyle"
                                       style="text-decoration:underline;"
                                       update="#{detalleDesBloqueoUpdateStringParam}"                                                
                                       rendered="#{!consultaDatosUbicacionPredio.predio.estaBloqueado}"
                                       action="#{consultaDatosUbicacionPredio.cargaPrediosDesbloqueados}"  
                                       onclick="#{detalleDesBloqueoWVParam}.show()"                                                 
                                       value="#{consultaDatosUbicacionPredio.etiquetaEstadoDesbloqueado}">
                        </p:commandLink>



                    </h:panelGroup>

                    <p:spacer height="0" width="1" />
                    <p:spacer height="0" width="1" />

                    <h:outputLabel value="Número predial anterior:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="14" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   onstart="statusDialog2.show();"
                                   action="#{consultaDatosUbicacionPredio.cleanNumPredialAnteriorMB}"
                                   rendered="#{consultaDatosUbicacionPredio.predio.numeroPredialAnterior != null}"
                                   onclick="numPredAnteriorDlg.show()"
                                   update="#{numeroPredialAnteriorFormUpdateStringParam}"
                                   oncomplete="statusDialog2.hide();">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{consultaDatosUbicacionPredio.predio.numeroPredialAnterior}" />
                    </p:commandLink>
                    <p:spacer height="0" width="14" rendered="#{consultaDatosUbicacionPredio.predio.numeroPredialAnterior eq null}"/>

                    <p:spacer height="0" width="7" />
                    <h:outputLabel value="Predio ley 14:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="14" />
                    <h:outputText
                        rendered="#{not empty consultaDatosUbicacionPredio.predio.ley14}"
                        value="#{consultaDatosUbicacionPredio.predio.ley14 eq true ? 'SI' : 'NO'}"
                        styleClass="outputTextStyle" />
                    <p:spacer height="0" width="14" rendered="#{empty consultaDatosUbicacionPredio.predio.ley14}"/>

                    <h:outputLabel value="Tipo de predio:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:panelGroup>
                        <h:outputText
                            value="#{consultaDatosUbicacionPredio.predio.tipo} - "
                            styleClass="outputTextStyle" />
                        <h:outputText value="#{consultaDatosUbicacionPredio.predio.tipo}"
                                      id="PredioTipoV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="PredioTipoV" />
                        </h:outputText>
                    </h:panelGroup>

                    <p:spacer height="0" width="14" />
                    <h:outputLabel value="Nombre del predio:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:outputText value="#{consultaDatosUbicacionPredio.predio.nombre}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Destinación económica del predio:"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />
                    <h:panelGroup>
                        <h:outputText
                            value="#{consultaDatosUbicacionPredio.predio.destino} - "
                            styleClass="outputTextStyle" />
                        <h:outputText id="PredioDestinoV"
                                      value="#{consultaDatosUbicacionPredio.predio.destino}"
                                      styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="PredioDestinoV" />
                        </h:outputText>
                    </h:panelGroup>

                    <p:spacer height="0" width="14" />

                    <h:outputLabel value="¿Predio interrelacionado?" styleClass="outputLabelStyle" />
                    <p:spacer height="0" width="7" />

                    <p:commandLink  value="Si"
                                    title="Hay inconsistencias geográficas"
                                    rendered="#{consultaDatosUbicacionPredio.predioTieneInconsistencias}"
                                    onstart="statusDialog2.show();"
                                    oncomplete="statusDialog2.hide(); viewPredioInconsistenciasWV.show();"
                                    update=":dpCC:viewPredioInconsistenciasForm" styleClass="commandLinkStyle">
                    </p:commandLink>

                    <h:outputText value="No" 
                                  rendered="#{!consultaDatosUbicacionPredio.predioTieneInconsistencias}"
                                  styleClass="outputTextStyle"/>

                </h:panelGrid>

                <p:separator />
                <h:panelGrid columns="1">
                    <h:outputText value="Matrícula inmobiliaria"
                                  styleClass="legendTitle" />

                    <h:panelGrid columns="11">

                        <h:outputLabel value="Círculo registral: "
                                       styleClass="outputLabelStyle" />
                        <p:spacer height="0" width="7" />
                        <h:outputText
                            rendered="#{not empty consultaDatosUbicacionPredio.predio.circuloRegistral.codigo}"
                            value="#{consultaDatosUbicacionPredio.predio.circuloRegistral.codigo} - #{consultaDatosUbicacionPredio.predio.circuloRegistral.nombre}"
                            styleClass="outputTextStyle" />

                        <p:spacer height="0" width="14" />
                        <h:outputLabel value="No. registro: "
                                       styleClass="outputLabelStyle" />
                        <p:spacer height="0" width="7" />
                        <h:outputText
                            rendered="#{not empty consultaDatosUbicacionPredio.predio.numeroRegistro}"
                            value="#{consultaDatosUbicacionPredio.predio.numeroRegistro}"
                            styleClass="outputTextStyle" />
                        <h:outputText
                            rendered="#{empty consultaDatosUbicacionPredio.predio.numeroRegistro 
                                        and not empty consultaDatosUbicacionPredio.predio.numeroRegistroAnterior}"
                            value="#{consultaDatosUbicacionPredio.predio.numeroRegistroAnterior}"
                            styleClass="outputTextStyle" />

                        <p:spacer height="0" width="14" />
                        <h:outputLabel value="¿Es antiguo sistema?: "
                                       styleClass="outputLabelStyle" />
                        <p:spacer height="0" width="7" />
                        <h:outputText
                            value="#{(not empty consultaDatosUbicacionPredio.predio.numeroRegistro)? 'No' : 'Sí'}"
                            styleClass="outputTextStyle" />
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
            <!--/p:panel-->
        </p:fieldset>

        <p:fieldset>
            <legend>
                <h:outputText value="Datos de ubicación" styleClass="legendTitle" />
            </legend>

            <h:panelGrid columns="7">

                <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
                <p:spacer height="0" width="7" />
                <h:outputText
                    value="#{consultaDatosUbicacionPredio.predio.departamento.codigo} - #{consultaDatosUbicacionPredio.predio.departamento.nombre}"
                    styleClass="outputTextStyle" />

                <p:spacer height="0" width="14" />
                <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                <p:spacer height="0" width="7" />
                <h:panelGrid columns="1">
                    <h:outputText
                        value="#{consultaDatosUbicacionPredio.predio.municipio.codigo3Digitos} - #{consultaDatosUbicacionPredio.predio.municipio.nombre}"
                        styleClass="outputTextStyle" />
                </h:panelGrid>

                <h:outputLabel value="Zona:"
                               styleClass="outputLabelStyle" />
                <p:spacer height="0" width="7" />
                <h:outputText
                    value="#{consultaDatosUbicacionPredio.predio.tipoAvaluo} - #{consultaDatosUbicacionPredio.nombreZona}"
                    styleClass="outputTextStyle" />

                <p:spacer height="0" width="14" />
                <h:outputLabel value="Comuna:" styleClass="outputLabelStyle" />
                <p:spacer height="0" width="0" />
                <h:panelGrid columns="10">
                    <h:outputText value="#{consultaDatosUbicacionPredio.predio.comuna} - #{consultaDatosUbicacionPredio.nombreComuna}"
                                  styleClass="outputTextStyle" />

                    <p:spacer height="0" width="10" />
                    <h:outputLabel value="Barrio:" styleClass="outputLabelStyle"
                                   rendered="#{consultaDatosUbicacionPredio.predio.predioRural ne true}" />

                    <p:spacer height="0" width="7"
                              rendered="#{consultaDatosUbicacionPredio.predio.predioRural ne true}" />
                    <h:outputText value="#{consultaDatosUbicacionPredio.predio.barrio} - #{consultaDatosUbicacionPredio.nombreBarrio}"
                                  styleClass="outputTextStyle"
                                  rendered="#{consultaDatosUbicacionPredio.predio.predioRural ne true}" />

                    <p:spacer height="0" width="14"
                              rendered="#{consultaDatosUbicacionPredio.predio.predioRural ne true}" />

                    <p:spacer height="0" width="0"
                              rendered="#{empty consultaDatosUbicacionPredio.predio.localidadCodigo}" />
                    <h:outputLabel styleClass="outputLabelStyle"
                                   value="#{(consultaDatosUbicacionPredio.predio.predioRural)? 'Vereda: ' : 'Manzana: '}" />
                    <p:spacer height="0" width="7" />
                    <h:outputText
                        value="#{consultaDatosUbicacionPredio.predio.manzanaCodigo} - #{consultaDatosUbicacionPredio.nombreManzanaVereda}"
                        styleClass="outputTextStyle" />
                </h:panelGrid>

            </h:panelGrid>
        </p:fieldset>

        <h:panelGrid columns="2" width="100%">

            <p:fieldset>
                <legend>
                    <h:outputText value="Dirección/Nombre del predio"
                                  styleClass="legendTitle" />
                </legend>

                <p:dataTable var="dir"
                             value="#{consultaDatosUbicacionPredio.predio.predioDireccions}"
                             emptyMessage="No existen direcciones asociadas al predio.">

                    <p:column headerText="Código postal">
                        <h:outputText value="#{dir.codigoPostal}"
                                      styleClass="outputTextStyle" />
                    </p:column>

                    <p:column headerText="Dirección">
                        <h:outputText value="#{dir.direccion}"
                                      styleClass="outputTextStyle" />
                    </p:column>


                    <p:column headerText="Principal">
                        <h:outputText value="#{dir.principal}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                </p:dataTable>
            </p:fieldset>

            <p:fieldset>
                <legend>
                    <h:outputText value="Servidumbres del predio"
                                  styleClass="legendTitle" />
                </legend>

                <p:dataTable var="ser"
                             value="#{consultaDatosUbicacionPredio.predio.predioServidumbres}"
                             emptyMessage="No existen servidumbres asociadas al predio.">
                    <p:column>
                        <f:facet name="header">
                            Nombre servidumbre
                        </f:facet>
                        <h:outputText value="#{ser.servidumbre}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                </p:dataTable>
            </p:fieldset>

            <p:fieldset>
                <legend>
                    <h:outputText value="Referencias cartográficas"
                                  styleClass="legendTitle" />
                </legend>

                <!--p:panel header="Referencias cartográficas"-->
                <p:dataTable var="refCarto"
                             value="#{consultaDatosUbicacionPredio.predio.referenciaCartograficas}"
                             emptyMessage="No existen referencias cartográficas asociadas al predio.">
                    <p:column>
                        <f:facet name="header">
                            Plancha
                        </f:facet>
                        <h:outputText value="#{refCarto.plancha}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Vuelo
                        </f:facet>
                        <h:outputText value="#{refCarto.vuelo}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Foto número
                        </f:facet>
                        <h:outputText value="#{refCarto.foto}"
                                      styleClass="outputTextStyle" />
                    </p:column>
                </p:dataTable>
                <!--/p:panel-->
            </p:fieldset>

            <ui:remove>

                OJO!!!!!!!!!!!!!!!!!!!!!!!! se elimino del detalle pero puede que vuela a solicitarce :)

                <p:fieldset>
                    <legend>
                        <h:outputText value="Posición geográfica" styleClass="legendTitle" />
                    </legend>
                    <!--p:panel header="Posición geográfica"-->

                    <p:dataTable
                        emptyMessage="No existe una posición geográfica asociada al predio.">
                        <p:column>
                            <f:facet name="header">
                                Punto
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                Este
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                Norte
                            </f:facet>
                            <h:outputText styleClass="outputTextStyle" />
                        </p:column>
                    </p:dataTable>
                    <!--/p:panel-->
                </p:fieldset>
            </ui:remove>

        </h:panelGrid>
    </h:panelGrid>

</h:form>
